Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionComplex

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionComplex

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QStyleOptionComboBox, QStyleOptionGroupBox, QStyleOptionSizeGrip, QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionTitleBar, QStyleOptionToolButton

    public class QStyleOptionComplex

extends QStyleOption

The `QStyleOptionComplex` class is used to hold parameters that are common to all complex controls.

This class is not used on its own. Instead it is used to derive other complex control options, for example `QStyleOptionSlider` and `QStyleOptionSpinBox`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator).

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`

Nested Class Summary
`static class` | `QStyleOptionComplex.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionComplex.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QStyleOptionComplex()` Equivalent to `QStyleOptionComplex`(QStyleOptionComplex::Version, SO_Complex).
`QStyleOptionComplex(int version)` Equivalent to `QStyleOptionComplex`(`version`, SO_Complex).
`QStyleOptionComplex(int version, int type)` Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values.
`QStyleOptionComplex(QStyleOptionComplex other)` Constructs a copy of the `other` style option.

Method Summary
`int` | `activeSubControls()` Returns a bitwise OR of the various sub-controls that are active (pressed) for the complex control.
`static QStyleOptionComplex` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionComplex instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionComplex[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionComplex array.
`void` | `setActiveSubControls(int activeSubControls)` Sets a bitwise OR of the various sub-controls that are active (pressed) for the complex control to `activeSubControls`.
`void` | `setSubControls(int subControls)` Sets a bitwise OR of the various sub-controls that need to be drawn for the complex control to `subControls`.
`int` | `subControls()` Returns a bitwise OR of the various sub-controls that need to be drawn for the complex control.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionComplex

    public QStyleOptionComplex(QStyleOptionComplex other)

  Constructs a copy of the `other` style option.

### QStyleOptionComplex

    public QStyleOptionComplex(int version)

  Equivalent to `QStyleOptionComplex`(`version`, SO_Complex).

### QStyleOptionComplex

    public QStyleOptionComplex()

  Equivalent to `QStyleOptionComplex`(QStyleOptionComplex::Version, SO_Complex).

### QStyleOptionComplex

    public QStyleOptionComplex(int version,
                               int type)

  Constructs a `QStyleOptionComplex` of the specified `type` and `version`, initializing the member variables to their default values. This constructor is usually called by subclasses.

Method Detail

### setSubControls

    public final void setSubControls(int subControls)

  Sets a bitwise OR of the various sub-controls that need to be drawn for the complex control to `subControls`.

  The default value is QStyle::SC_All.

  See Also:
    `subControls`, `QStyle::SubControl`

### subControls

    public final int subControls()

  Returns a bitwise OR of the various sub-controls that need to be drawn for the complex control.

  The default value is QStyle::SC_All.

  See Also:
    `setSubControls`, `QStyle::SubControl`

### setActiveSubControls

    public final void setActiveSubControls(int activeSubControls)

  Sets a bitwise OR of the various sub-controls that are active (pressed) for the complex control to `activeSubControls`.

  The default value is QStyle::SC_None.

  See Also:
    `activeSubControls`, `QStyle::SubControl`

### activeSubControls

    public final int activeSubControls()

  Returns a bitwise OR of the various sub-controls that are active (pressed) for the complex control.

  The default value is QStyle::SC_None.

  See Also:
    `setActiveSubControls`, `QStyle::SubControl`

### fromNativePointer

    public static QStyleOptionComplex fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionComplex instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionComplex[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionComplex array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD